
QGIS Application - Bug report #19706

The tool "Dissolve" doesnt weork properly in new version of QGIS (3.2.2)

2018-08-27 02:23 PM - Amir Naj

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:3.2.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27531

Description

When I want to use Dissolve tool, always the message below appears for me, since in previous version it was OK.

Processing algorithm…

Algorithm 'Dissolve' starting…

Input parameters:{ 'FIELD' : [], 'INPUT' : 'Terranuova_Bracciolini_c27558ee_d8d1_4d83_812c_e2e4e215ef44', 'OUTPUT' : 'memory:' }

Execution completed in 0.03 seconds

Results:{'OUTPUT': 'output_74c340d1_d4ad_47c0_831f_0913fee5c8a2'}

Loading resulting layers

The following layers were not correctly generated.<ul><li>output_74c340d1_d4ad_47c0_831f_0913fee5c8a2</li></ul>You can check

the 'Log Messages Panel' in QGIS main window to find more information about the execution of the algorithm.

History

#1 - 2018-08-27 08:50 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you share the layer you are trying to dissolve?

#2 - 2018-08-28 12:10 PM - Amir Naj

- File Test.cpg added

- File Test.shx added

- File Test.prj added

- File Test.qpj added

- File Test.shp added

- File Test.dbf added

#3 - 2018-08-28 12:10 PM - Amir Naj

Nyall Dawson wrote:

Can you share the layer you are trying to dissolve?

Yes sure, I have uploaded the SHP "Test"
#4 - 2018-08-29 04:41 PM - Giovanni Manghi

- Priority changed from High to Normal

- Category changed from Actions to Processing/Core

- Assignee deleted (Amir Naj)

- Crashes QGIS or corrupts data changed from Yes to No

Works fine here on master/linux and using the native QGIS dissolve tool. Did you tried another tool (gdal? saga? grass?)?

#5 - 2018-09-10 05:04 PM - Luigi Pirelli

could be related the same issue as in #19700 ?

#6 - 2018-12-24 09:31 AM - Alexander Bruy

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Closed for the lack of feedback. Please reopen if necessary.

Files

Test.cpg 5 Bytes 2018-08-28 Amir Naj

Test.dbf 868 Bytes 2018-08-28 Amir Naj

Test.prj 143 Bytes 2018-08-28 Amir Naj

Test.qpj 257 Bytes 2018-08-28 Amir Naj

Test.shx 380 Bytes 2018-08-28 Amir Naj

Test.shp 5.67 KB 2018-08-28 Amir Naj
